let $NVIM_TUI_ENABLE_TRUE_COLOR=1
set termguicolors
:set formatoptions=tcqrn1
:set tabstop=2
:set shiftwidth=2
:set softtabstop=2
:set expandtab
:set noshiftround

" Color scheme
":hi clear
":colorscheme default
:colorscheme onedark
":set background=dark
":hi Normal ctermfg=145 ctermbg=234
":hi Normal guifg=#ABB2BF guibg=#282C34 gui=NONE cterm=NONE

let &t_ut=''
:tab all
" Change fonts for Windows
":set guifont=Consolas:h11:cANSI

if has("gui_macvim")
    set guifont=Menlo\ Regular:h14
endif

" Hide menu/toolbar of GVIM
":set guioptions -=m

" Helps force plug-ins to load correctly when it is turned back on below.
filetype off

" Turn on syntax highlighting.
syntax on

" For plug-ins to load correctly.
filetype plugin indent on

" Set status line display
set statusline=%F%m%r%h%w\ [%{&ff}]\ [filetype=%Y]\ [%l,%v][%p%%]\ [%{strftime('%F')}\ %{strftime('%T')}]

" Encoding
set encoding=utf-8

" Fixes common backspace problems
set backspace=indent,eol,start

" Status bar
set laststatus=2

" Display options
:set showmode
:set showcmd

" File explorer
nnoremap <leader>n :Explore<CR>
nnoremap <C-n> :Lexplore<CR>
nnoremap <C-t> :Vexplore<CR>
nnoremap <C-f> :Texplore<CR>
